#ifndef ALIAS_ALIAS_HPP_INCLUDED
#define ALIAS_ALIAS_HPP_INCLUDED

#if _MSC_VER > 1020
#  pragma once
#endif // _MSC_VER

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
//  alias.hpp
//  This is a part of the alias source code.
//
//  Copyright (C) 2004 ilmcuts
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

#include "common.hpp"
#include "utility.hpp"


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// Constants
//

// don't forget to change this in the version resource as well
const char g_szAppName[] = "alias";
const char g_szAppVersion[] = "0.1.0";


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// Function prototypes
//
void LoadSetup(bool bIsRefresh);
void ClearSetup();

bool ParseAliasLine(LPCSTR pszLine);
bool FormatString(char* pszBuffer, size_t cchBuffer, const char* pszFormat, const char** ppszArray);

void BangAlias(HWND, LPCSTR pszArgs);
void BangAliasExec(HWND, LPCSTR pszName, LPCSTR pszArgs);


LRESULT CALLBACK WndProc(HWND hWnd, UINT uMessage, WPARAM wParam, LPARAM lParam);


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// Exports
//
extern "C"
{
    __declspec(dllexport) int initModuleEx(HWND hLiteStep, HINSTANCE hInst, LPCSTR pszPath);
    __declspec(dllexport) void quitModule(HINSTANCE hInst);
}

#endif // !defined(ALIAS_ALIAS_HPP_INCLUDED)
